# pydicom.datadict.private_dictionary_VR

pydicom.datadict.private_dictionary_VR(tag: Union[int, str, Tuple[int, int], pydicom.tag.BaseTag], private_creator: str) → str

  Return the VR of the private element corresponding to tag.

  Parameters

    - tag (int) – The tag for the element whose value representation (VR) is being retrieved.

    - private_creator (str) – The name of the private creator.

  Returns

    The VR of the corresponding element.

  Return type

    str

  Raises

    KeyError – If the tag is not present in the private dictionary.